### Method

# Snapd Client install_themes_sync

since: 1.60

#### Declaration [src]

    gboolean
    snapd_client_install_themes_sync (
      SnapdClient* client,
      GStrv gtk_theme_names,
      GStrv icon_theme_names,
      GStrv sound_theme_names,
      SnapdProgressCallback progress_callback,
      gpointer progress_callback_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Install snaps that provide the named desktop themes. If all the named themes are in the “installed” or “unavailable” states, then an error will be returned.

Available since: 1.60

#### Parameters

`gtk_theme_names`

  Type: An array of `utf8`

  A list of GTK theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`icon_theme_names`

  Type: An array of `utf8`

  A list of icon theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`sound_theme_names`

  Type: An array of `utf8`

  A list of sound theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`progress_callback`

  Type: `SnapdProgressCallback`

  Function to callback with progress.

  The argument can be `NULL`.

`progress_callback_data`

  Type: `gpointer`

  User data to pass to `progress_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.